Name:		docbook-style-xsl
Version:	1.78.0
Release:	%mkrel 2
Group:		Publishing
Summary:	Norman Walsh's modular stylesheets for DocBook
License:	Copyright only
URL:		http://sourceforge.net/projects/docbook
Provides:	docbook-xsl = %{version}
Requires:	docbook-dtd-xml
Requires(pre):	sgml-common
# BuildRequires:	gcj-tools
Source0:	http://prdownloads.sourceforge.net/docbook/docbook-xsl-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/docbook/docbook-xsl-doc-%{version}.tar.bz2
BuildArch:	noarch

%define sgmlbase %{_datadir}/sgml/

%description
These XSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.

%package doc
Summary         : Documentation for DocBook stylesheets
Group       	: Documentation

%description doc
This package contains the documentation for these stylesheets:
structure, customization, etc.
 

%prep
%setup -q -n docbook-xsl-%{version}
%setup -D -n docbook-xsl-%{version} -q -T -b 1

%build
# index jar files to please rpmlint
# jar -i extensions/*.jar

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{sgmlbase}/docbook/xsl-stylesheets-%{version} 
# Camille 2006-05-29: those are dummy files to be removed in future releases; 2006-01-23: removed
# rm -f doc/*/param.html doc/pi/pi.html
cp -a VERSION* common eclipse extensions fo highlighting html htmlhelp images javahelp lib template xhtml xhtml-1_1 manpages profiling params slides tools website roundtrip %{buildroot}%{sgmlbase}/docbook/xsl-stylesheets-%{version}  

ln -sf xsl-stylesheets-%{version} \
	%{buildroot}%{sgmlbase}/docbook/xsl-stylesheets

%clean
rm -rf %{buildroot}

%post
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
	"http://docbook.sourceforge.net/release/xsl/%{version}" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
	"http://docbook.sourceforge.net/release/xsl/%{version}" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
	"http://docbook.sourceforge.net/release/xsl/current" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
	"http://docbook.sourceforge.net/release/xsl/current" \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG


%postun
# do not remove on upgrade
CATALOG=/etc/xml/catalog
if [ "$1" = "0" -a -x %{_bindir}/xmlcatalog -a -f $CATALOG ]; then
  %{_bindir}/xmlcatalog --noout --del \
	"file:///usr/share/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
fi

%files
%doc BUGS TODO README VERSION NEWS* COPYING INSTALL
%{sgmlbase}/docbook/xsl-stylesheets-%{version}
%{sgmlbase}/docbook/xsl-stylesheets

%files doc
%doc doc docsrc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.78.0-2.mga3
+ Revision: 349047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 luigiwalser <luigiwalser> 1.78.0-1.mga3
+ Revision: 334765
- 1.78.0

* Sun Oct 14 2012 ennael <ennael> 1.77.1-3.mga3
+ Revision: 305358
- Documentation group

* Sun Aug 19 2012 pterjan <pterjan> 1.77.1-2.mga3
+ Revision: 282429
- Ship VERSION.xsl, it is included by other files

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1.77.1-1.mga3
+ Revision: 282384
- 1.77.1

* Sun May 15 2011 pterjan <pterjan> 1.76.1-2.mga1
+ Revision: 98975
- Rebuild for fixed find-requires

* Mon Apr 18 2011 ahmad <ahmad> 1.76.1-1.mga1
+ Revision: 87544
- update to 1.76.1
- fix License (Fedora)

* Sun Jan 09 2011 blino <blino> 1.75.2-5.mga1
+ Revision: 1550
- remove old file migration and version check
- imported package docbook-style-xsl

